# 32/64bit spec
#
Summary: 	Cross-platform (Java), graphical, low level (APDU) smart card tool.
Summary(de): 	Plattformübergreifendes, grafisches, Smart Card Werkzeug, welches auf APDU Ebene arbeitet.
Name: 		jsmartcardexplorer
Version: 	1.0.4
Release: 	%mkrel 1
License: 	GPLv3
Group: 	 	Development/Other
Source:		%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Requires: 	java
Requires:	pcsc-lite
# Note: That's a real requirement. The card terminals can't be found 
# correctly if it is not installed
Requires: 	%{_lib}pcsclite-devel
BuildArch:	noarch

%description
JSmartCardExplorer is a cross-platform (Java), graphical, low level (APDU) smart 
card tool aimed to help developing of smart card applications and understanding of 
ISO-7816 protocol.

It allows (APDU) communication with any T=0/1 smartcard, being able to forge APDU 
requests and dissect the responses received. It's build on top of Sun's smartcard 
API(s) so it does not require any dll or framework. The application can be 
particularly useful when developing / studying / smart cards technologies.

Features
 - Supports T=0 and T=1 communication protocols
 - Command history (with save/recall capabilities)
 - Hex data viewer
 - ISO7816 FileSystem explorer
 - Does NOT require any particular PC/SC driver (other than the smartcard reader's)

%description -l de
JSmartCardExplorer ist ein plattformübergreifendes, grafisches Werkzeug, welches auf
APDU Ebene arbeitet. Es dient dazu bei der Entwicklung von Smart Card Programmen zu 
helfen und das ISO-7816 Protokoll zu verstehen.

Es erlaubt eine (APDU) Kommunikation mit jeder T=0/1 Smart Card, es ist in der Lage
APDU Anfrage zu formen und analysiert die erhaltene Antwort. Es baut auf Sun's Smart 
Card API(s) auf, sodass weder eine dll noch ein Framework benötigt wird. Das Programm 
ist insbesondere dann nützlich, wenn man Smart Card Technologie entwickelt oder studiert.

Eigenschaften:
 - Unterstützt die T=0 und T=1 Kommunikationsprotokolle
 - Befehlshistorie (mit Speichern und Neuaufruf Funktionen)
 - Hex-Datenbetrachter
 - ISO-7816 Dateisystemerkunder
 - Benötigt keinen speziellen PC/SC Treiber (außer den für den Smart Card Reader)

%prep
%setup -q -n %{name}-%{version}

%build
# nothing todo here

%install
rm -f %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/%{name}
install -m 664 JSmartCardExplorer.jar %{buildroot}/%{_datadir}/%{name}

# Create a launcher
mkdir -p %{buildroot}/%{_bindir}
cat > %{buildroot}/%{_bindir}/%{name} <<EOF
#!/bin/bash
cd %{_datadir}/jsmartcardexplorer
java -jar JSmartCardExplorer.jar
EOF

chmod +x %{buildroot}/%{_bindir}/%{name}

# Create the .desktop on the fly, as it's not quite the same as the tarball one
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=JSmartCardExplorer
Comment=Smart Card Tool
Comment[de]=Smart Card Werkzeug
Exec=%{name} 
Icon=%{_libdir}/jvm/java/jre/plugin/desktop/sun_java.png
Terminal=false
Type=Application
Version=1.0
StartupNotify=false
Categories=Application;Development;X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/JSmartCardExplorer.jar

%changelog
* Sun Apr 13 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.4-1pclos2014
- initial import for pclos
